# The Docker image that will be used to build your app
image: python:3.10
# Functions that should be executed before the build script is run
before_script:
  - pip install mkdocs mkdocs-material
pages:
  script:
    - mkdocs build --config-file mkdocs.yml --site-dir public
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH


